Debian Bug report logs - #596606
darcs: Fails to build without network connectivity

version graph

Package: darcs; Maintainer for darcs is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for darcs is src:darcs.

Reported by: Stefano Rivera <stefano@rivera.za.net>

Date: Sun, 12 Sep 2010 20:15:04 UTC

Severity: serious

Tags: patch

Found in version darcs/2.4.4-2

Fixed in version darcs/2.4.4-2.1

Done: Stefano Rivera <stefano@rivera.za.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#596606; Package darcs. (Sun, 12 Sep 2010 20:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefano@rivera.za.net>:
New Bug report received and forwarded. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Sun, 12 Sep 2010 20:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefano@rivera.za.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: darcs: Fails to build without network connectivity
Date: Sun, 12 Sep 2010 22:12:48 +0200
[Message part 1 (text/plain, inline)]
Package: darcs
Version: 2.4.4-2
Severity: serious
Justification: fails to build from source

One of the tests run during build (external.sh) appears to require
network connectivity.

Chain OUTPUT (policy ACCEPT 8085 packets, 4256K bytes)
 pkts bytes target     prot opt in     out     source               destination         
    4   260 REJECT     all  --  *      *       0.0.0.0/0            0.0.0.0/0           owner UID match 1234 reject-with icmp-port-unreachable 

I'll attach a debdiff as soon as I have a bug number.

SR

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_ZA.UTF-8, LC_CTYPE=en_ZA.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages darcs depends on:
ii  libc6                   2.11.2-2         Embedded GNU C Library: Shared lib
ii  libcurl3-gnutls         7.21.0-1         Multi-protocol file transfer libra
ii  libffi5                 3.0.9-2          Foreign Function Interface library
ii  libgmp3c2               2:4.3.2+dfsg-1   Multiprecision arithmetic library
ii  libncurses5             5.7+20100313-2   shared libraries for terminal hand
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages darcs recommends:
ii  postfix [mail-transport-agent 2.7.1-1    High-performance mail transport ag

darcs suggests no packages.

-- no debconf information

-- 
Stefano Rivera
  http://tumbleweed.org.za/
  H: +27 21 465 6908 C: +27 72 419 8559  UCT: x3127
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#596606; Package darcs. (Sun, 12 Sep 2010 20:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefano@rivera.za.net>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Sun, 12 Sep 2010 20:24:10 GMT) Full text and rfc822 format available.

Message #10 received at 596606@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefano@rivera.za.net>
To: 596606@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: darcs: Fails to build without network connectivity
Date: Sun, 12 Sep 2010 22:21:01 +0200
[Message part 1 (text/plain, inline)]
tags 596606 + patch
thanks

> I'll attach a debdiff as soon as I have a bug number.

Attached.

SR

-- 
Stefano Rivera
  http://tumbleweed.org.za/
  H: +27 21 465 6908 C: +27 72 419 8559  UCT: x3127
[darcs-skip-external.sh-test.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Stefano Rivera <stefano@rivera.za.net> to control@bugs.debian.org. (Sun, 12 Sep 2010 20:24:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#596606; Package darcs. (Sun, 12 Sep 2010 23:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Sun, 12 Sep 2010 23:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 596606@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Stefano Rivera <stefano@rivera.za.net>, 596606@bugs.debian.org
Subject: Re: Bug#596606: darcs: Fails to build without network connectivity
Date: Sun, 12 Sep 2010 23:55:33 +0000
Stefano,

I'm on vacation from the 12th until the 22nd of September, so I
probably can't address this until then.  The patch looks OK at a
glance; feel free to upload this as an NMU or whatever else is
necessary to facilitate Squeeze's release.




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#596606; Package darcs. (Wed, 15 Sep 2010 22:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefano@rivera.za.net>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Wed, 15 Sep 2010 22:00:04 GMT) Full text and rfc822 format available.

Message #22 received at 596606@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefano@rivera.za.net>
To: debian-haskell@lists.debian.org
Cc: 596606@bugs.debian.org
Subject: Sponsorship for darcs NMU
Date: Wed, 15 Sep 2010 23:56:43 +0200
(I'm not on this list, so please CC me)

Can anyone sponsor an NMU for me? http://bugs.debian.org/596606

The patch is pretty trivial and the issue appears to have been already
dealt with uptream (someone is keeping an eye on BTS or Launchpad).

Trent has stated in the bug that he's on vacation and will accept an
NMU.

SR

-- 
Stefano Rivera
  http://tumbleweed.org.za/
  H: +27 21 465 6908 C: +27 72 419 8559  UCT: x3127




Information forwarded to debian-bugs-dist@lists.debian.org, trentbuck@gmail.com (Trent W. Buck):
Bug#596606; Package darcs. (Thu, 16 Sep 2010 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to trentbuck@gmail.com (Trent W. Buck). (Thu, 16 Sep 2010 08:15:03 GMT) Full text and rfc822 format available.

Message #27 received at 596606@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Stefano Rivera <stefano@rivera.za.net>
Cc: debian-haskell@lists.debian.org, 596606@bugs.debian.org
Subject: Re: Sponsorship for darcs NMU
Date: Thu, 16 Sep 2010 10:12:50 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Mittwoch, den 15.09.2010, 23:56 +0200 schrieb Stefano Rivera:
> (I'm not on this list, so please CC me)
> 
> Can anyone sponsor an NMU for me? http://bugs.debian.org/596606
> 
> The patch is pretty trivial and the issue appears to have been already
> dealt with uptream (someone is keeping an eye on BTS or Launchpad).
> 
> Trent has stated in the bug that he's on vacation and will accept an
> NMU.

Done. Thanks for the patch.

Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Reply sent to Stefano Rivera <stefano@rivera.za.net>:
You have taken responsibility. (Thu, 16 Sep 2010 08:33:14 GMT) Full text and rfc822 format available.

Notification sent to Stefano Rivera <stefano@rivera.za.net>:
Bug acknowledged by developer. (Thu, 16 Sep 2010 08:33:14 GMT) Full text and rfc822 format available.

Message #32 received at 596606-close@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefano@rivera.za.net>
To: 596606-close@bugs.debian.org
Subject: Bug#596606: fixed in darcs 2.4.4-2.1
Date: Thu, 16 Sep 2010 08:32:10 +0000
Source: darcs
Source-Version: 2.4.4-2.1

We believe that the bug you reported is fixed in the latest version of
darcs, which is due to be installed in the Debian FTP archive:

darcs_2.4.4-2.1.debian.tar.gz
  to main/d/darcs/darcs_2.4.4-2.1.debian.tar.gz
darcs_2.4.4-2.1.dsc
  to main/d/darcs/darcs_2.4.4-2.1.dsc
darcs_2.4.4-2.1_amd64.deb
  to main/d/darcs/darcs_2.4.4-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 596606@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefano Rivera <stefano@rivera.za.net> (supplier of updated darcs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Sep 2010 09:35:56 +0200
Source: darcs
Binary: darcs
Architecture: source amd64
Version: 2.4.4-2.1
Distribution: unstable
Urgency: low
Maintainer: Trent W. Buck <trentbuck@gmail.com>
Changed-By: Stefano Rivera <stefano@rivera.za.net>
Description: 
 darcs      - a distributed, interactive, smart revision control system
Closes: 589368 596606
Changes: 
 darcs (2.4.4-2.1) unstable; urgency=low
 .
   [ Trent W. Buck ]
   * Install upstream's NEWS file (Closes: #589368).
 .
   [ Stefano Rivera ]
   * Non-maintainer upload.
   * Disable external.sh test (requires network connectivity). Closes:
     #596606
Checksums-Sha1: 
 bbd4649108356fb36ff064d875344bda9cb043a4 1558 darcs_2.4.4-2.1.dsc
 94ee36afc2ee5f4a82c36dd6c03b361516061006 14033 darcs_2.4.4-2.1.debian.tar.gz
 fdc66861e8a324bfb7d49f25934636763c380cef 2205546 darcs_2.4.4-2.1_amd64.deb
Checksums-Sha256: 
 9efef61a4ec7e09c6ea77ff98a483a6ff106738417f3ea3e7593d4a386259dab 1558 darcs_2.4.4-2.1.dsc
 cdf85621697e13a70f47a0b50647aa3af7aa33ecad0704f7d0f553a9b5b7c3c6 14033 darcs_2.4.4-2.1.debian.tar.gz
 551fdeb60477c6895138930c0d362146f7907bed3878cb9fa5453e85bcb66b0f 2205546 darcs_2.4.4-2.1_amd64.deb
Files: 
 4305ececfa78e6d0b20d812fe6692239 1558 vcs optional darcs_2.4.4-2.1.dsc
 03f76d109e9b6bf07291cff6c58f3439 14033 vcs optional darcs_2.4.4-2.1.debian.tar.gz
 7af96674b789d63239983cc268618eb6 2205546 vcs optional darcs_2.4.4-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyRzz0ACgkQ9ijrk0dDIGwLqwCeMYnuxCxtLVVmMpXqq/SNgQRj
EsoAn1/gG8jRfFEy0OUpCFwgdeOW5Aza
=pLsu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Oct 2010 07:30:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:39:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.